Subject: Re: bug#10907: 24.0.94; Updating display of Customize buffer

From: Andreas Schwab <[email-masked]>
Date: Wed, 29 Feb 2012 10:05:15 +0100

Stefan Monnier <[email-masked]> writes:

>> Ah, thanks.  I feared as much.  Is there really no way to reevaluate a
>> defcustom in a running Emacs?
>
> Agreed that there should be some way to have a defcustom type that is
> a bit more dynamic: no need to completely reevaluate the whole
> expression, but being able to have a dynamic set of `choice's would
> be helpful.

Define a widget derived from menu-choice with custom :match and
:validate methods.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."